classification
Title: Update Windows and OS X installer OpenSSL to 1.0.2
Type: Stage: resolved
Components: Build Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder: Update Windows and OS X installer OpenSSL to 1.0.2a
View: 23686
Assigned To: Nosy List: alex, christian.heimes, dstufft, ned.deily, python-dev, steve.dower, zach.ware
Priority: normal Keywords:

Created on 2015-03-05 21:02 by ned.deily, last changed 2015-03-17 11:52 by ned.deily. This issue is now closed.

Messages (6)
msg237287 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-03-05 21:02
Per the discussion in Issue23476, the installers should be updated to use OpenSSL 1.0.2 to solve the shortest trust path issue documented there.
msg237290 - (view) Author: Alex Gaynor (alex) * (Python committer) Date: 2015-03-05 21:05
+1 on this -- for pyca/cryptography we're also making this leap in our next release.
msg237317 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-03-06 01:41
[Sorry, incorrect issue number in the commit messages!]

New changeset 62c3742eb25f by Ned Deily in branch '2.7':
Issue #23594: Update OS X 10.5 installer build to use OpenSSL 1.0.2.
https://hg.python.org/cpython/rev/62c3742eb25f

New changeset b2f3a44dbe1b by Ned Deily in branch '3.4':
Issue #23594: Update OS X 10.5 installer build to use OpenSSL 1.0.2.
https://hg.python.org/cpython/rev/b2f3a44dbe1b

New changeset 73aa2f168c5a by Ned Deily in branch 'default':
Issue #23594: merge 3.4
https://hg.python.org/cpython/rev/73aa2f168c5a
msg237318 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-03-06 01:45
New changeset e74e2ce81a1c by Ned Deily in branch '2.7':
Issue #23593: fix Misc/NEWS entries
https://hg.python.org/cpython/rev/e74e2ce81a1c

New changeset da3fe5fda078 by Ned Deily in branch '3.4':
Issue #23593: fix Misc/NEWS entries
https://hg.python.org/cpython/rev/da3fe5fda078

New changeset 8ef4f75a8018 by Ned Deily in branch 'default':
Issue #23593: fix Misc/NEWS entries
https://hg.python.org/cpython/rev/8ef4f75a8018
msg237347 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2015-03-06 12:16
http://svn.python.org/projects/external/ and Tools/buildbot/external-common.bat must be updated for Windows, too.
msg238284 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2015-03-17 11:52
Superseded by Issue23686, OpenSSL 1.0.2a
History
Date User Action Args
2015-03-17 11:52:58ned.deilysetstatus: open -> closed
superseder: Update Windows and OS X installer OpenSSL to 1.0.2a
messages: + msg238284

resolution: out of date
stage: patch review -> resolved
2015-03-06 12:16:50christian.heimessetmessages: + msg237347
2015-03-06 11:47:18christian.heimessetnosy: + christian.heimes
2015-03-06 01:45:48python-devsetnosy: + python-dev
messages: + msg237318
2015-03-06 01:41:11ned.deilysetmessages: + msg237317
2015-03-05 21:18:57zach.waresetnosy: + zach.ware
2015-03-05 21:05:01alexsetnosy: + alex
messages: + msg237290
2015-03-05 21:04:33dstufftsetnosy: + dstufft
2015-03-05 21:02:38ned.deilycreate